
/* print values of standard macros __STDC__, __STDC_VERSION__ */

#include <stdio.h>      /* printf() */

int main() {
    printf("__STDC__ = %d\n", __STDC__);
#if defined(__STDC_VERSION__)
    printf("__STDC_VERSION__ = %ld\n", __STDC_VERSION__);
#endif
    return 0;
}

/*

Output of: gcc-8.3.0 -std=c18 ijc-test-standard.c
  __STDC__ = 1
  __STDC_VERSION__ = 201710

Output of: gcc-4.7.0 -std=c11 ijc-test-standard.c
  __STDC__ = 1
  __STDC_VERSION__ = 201112

Output of: gcc-4.7.0 -std=c99 ijc-test-standard.c
  __STDC__ = 1
  __STDC_VERSION__ = 199901

Output of: gcc-4.7.0 -std=c90 ijc-test-standard.c
  __STDC__ = 1

*/
