
#include <stdint.h>
#include <inttypes.h>
#include <stdio.h>

#define PRINTSIZE(typ) \
        printf("sizeof(" #typ ") \t= %zd\n", sizeof(typ))

int main(void) {
    printf("\n");
    PRINTSIZE(void*);
    printf("\n");
    PRINTSIZE(int8_t);
    PRINTSIZE(int16_t);
    PRINTSIZE(int32_t);
    PRINTSIZE(int64_t);
    PRINTSIZE(intmax_t);
    PRINTSIZE(short);
    PRINTSIZE(int);
    PRINTSIZE(long);
    PRINTSIZE(long long);
    printf("\n");
    PRINTSIZE(uint8_t);
    PRINTSIZE(uint16_t);
    PRINTSIZE(uint32_t);
    PRINTSIZE(uint64_t);
    PRINTSIZE(uintmax_t);
    PRINTSIZE(unsigned short);
    PRINTSIZE(unsigned);
    PRINTSIZE(unsigned long);
    PRINTSIZE(unsigned long long);
    printf("\n");

    return 0;
}

