
// Simple example of undefined behavior (UB)
// gcc -O3  thisfile  // infinite loop ?!
// gcc -O2            // infinite loop ?!
// gcc -O1            // finite
// gcc -fwrapv -O3    // finite, defined by implementation
// TODO: -fno-strict-overflow
// TODO: __builtin_add_overflow

#include <stdio.h>
#include <limits.h>

int main() {
    int x = 1;
    int step = INT_MAX/3;
    for(int i=0; i<10; ++i) {
        int r = x + step;
        printf("%d\n", r);
        x = r;
    }
}
